Option Explicit
Dim objStartDate, objEndDate
Dim objWMI, objEvents, objEvent
Dim objConn, objRS
Dim strComputer, i
'
' Create a DateTime object for yesterday
'
Set objStartDate = CreateObject("WbemScripting.SWbemDateTime")
objStartDate.SetVarDate Date - 1, True
'
' Create a DateTime object for today
'
Set objEndDate = CreateObject("WbemScripting.SWbemDateTime")
objEndDate.SetVarDate Date, True
'
' Get the collection of events from yesterday's logs
'
strComputer = "localhost"
Set objWMI = GetObject("winmgmts:" _
    & "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")

Set objEvents = objWMI.ExecQuery _
    ("SELECT * FROM Win32_NTLogEvent " & _
          "WHERE TimeWritten >= '"  & objStartDate & "' " & _ 
          "AND TimeWritten < '" & objEndDate & "'") 
'
' Create the database objects
'
Set objConn = CreateObject("ADODB.Connection")
Set objRS = CreateObject("ADODB.Recordset")
'
' Connect to the database:
'    -replace DataSourceName with the name of the data source
'    -replace LoginID with your login name
'    -replace Password with your login password
'
objConn.Open "DSN=DataSourceName;UID=LoginID;PWD=Password;"
'
' Open the table to which you want to export the logs
'
objRS.CursorLocation = 3
objRS.Open "SELECT * FROM WHSEvents" , objConn, 3, 3
'
' Run through the collection of events
'
i = 0
For Each objEvent in objEvents
    '
    ' Add a new record
    '
    objRS.AddNew
    '
    ' Populate the record's fields
    '
    objRS("EventType") = objEvent.Type
    objRS("EventTime") = ConvertToDate(objEvent.TimeWritten)
    objRS("EventSource") = objEvent.SourceName
    objRS("EventCategory") = objEvent.CategoryString
    objRS("EventCode") = objEvent.EventCode
    objRS("EventUser") = objEvent.User
    objRS("EventComputer") = objEvent.ComputerName
    objRS("EventLog") = objEvent.LogFile
    objRS("EventRecord") = objEvent.RecordNumber
    objRS("EventMessage") = objEvent.Message
    '
    ' Write the new record to the table
    '
    objRS.Update
    i = i + 1
Next
'
' Close the database objects
'
objRS.Close
objConn.Close
'
' Display the number of events exported
'
WScript.Echo "Exported " & i & " events to the database."

Function ConvertToDate(strDate)
    Dim strYear, strMonth, strDay
    Dim strHour, strMinute, strSecond
    strYear = Left(strDate, 4)
    strMonth = Mid(strDate, 5, 2)
    strDay = Mid(strDate, 7, 2)
    strHour = Mid(strDate, 9, 2)
    strMinute = Mid(strDate, 11, 2)
    strSecond = Mid(strDate, 13, 2)
    ConvertToDate = DateSerial(strYear, strMonth, strDay) & " " & _ 
                    TimeSerial(strHour, strMinute, strSecond)
End Function
